Package org.github.jamm

# Interface FieldFilter

All Known Subinterfaces:
  `FieldAndClassFilter`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface FieldFilter
A filter for class fields.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`ignore(Class<?> cls, Field field)`
Checks whether a `Field` must be ignored or not.

## Method Details

### ignore

boolean ignore(Class<?> cls, Field field)
Checks whether a `Field` must be ignored or not.

Parameters:
  `cls` - the class to which the field belong. Which might be different from the declaring class if the field is from a superclass.
  `field` - the field to check
Returns:
  `true` if the field must be ignored `false` otherwise.